#
# spec file for package libXprintUtil
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           libXprintUtil
%define lname	libXprintUtil1
Version:        1.0.1
Release:        13.1
Summary:        Xprint printer utility client library
License:        MIT
Group:          Development/Libraries/C and C++
URL:            http://cgit.freedesktop.org/xorg/lib/libXprintUtil/

#Git-Clone:	git://anongit.freedesktop.org/xorg/lib/libXprintUtil
#Git-Web:	http://cgit.freedesktop.org/xorg/lib/libXprintUtil/
Source:         http://ftp.x.org/pub/X11R7.1/src/lib/%name-X11R7.0-%version.tar.bz2
Source1:        baselibs.conf
#git#BuildRequires:	autoconf >= 2.57, automake, libtool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(printproto)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xau)
BuildRequires:  pkgconfig(xp)
BuildRequires:  pkgconfig(xt)

%description
libXprintUtil provides utility Xpu APIs allowing client applications
to access and manipulate information about printer capabilities from
an Xprint server.

%package -n %lname
Summary:        Xprint printer utility client library
Group:          System/Libraries
# O/P added for 12.2
Provides:       xorg-x11-libXprintUtil = 7.6_%version-%release
Obsoletes:      xorg-x11-libXprintUtil < 7.6_%version-%release

%description -n %lname
libXprintUtil provides utility Xpu APIs allowing client applications
to access and manipulate information about printer capabilities from
an Xprint server.

%package devel
Summary:        Development files for the Xprint printer utility library
Group:          Development/Libraries/C and C++
Requires:       %lname = %version
# O/P added for 12.2
Provides:       xorg-x11-libXprintUtil-devel = 7.6_%version-%release
Obsoletes:      xorg-x11-libXprintUtil-devel < 7.6_%version-%release

%description devel
libXprintUtil provides utility Xpu APIs allowing client applications
to access and manipulate information about printer capabilities from
an Xprint server.

This package contains the development headers for the library found
in %lname.

%prep
%autosetup -n %name-X11R7.0-%version

%build
%configure --disable-static
%make_build

%install
%make_install
rm -f "%buildroot/%_libdir"/*.la

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%_libdir/libXprintUtil.so.1*

%files devel
%_includedir/X11/*
%_libdir/libXprintUtil.so
%_libdir/pkgconfig/xprintutil.pc

%changelog
* Wed Apr 26 2023 Jan Engelhardt <jengelh@inai.de>
- Modernize specfile constructs
* Tue Apr 25 2023 Frederic Crozat <fcrozat@suse.com>
- Add again baselibs.conf as a source.
* Thu Apr 11 2013 mmeister@suse.com
- Added url as source.
  Please see http://en.opensuse.org/SourceUrls
* Sun Feb 17 2013 jengelh@inai.de
- Use more robust make install call
* Tue Sep 25 2012 sndirsch@suse.com
- specfile cleanup
* Sun Feb 12 2012 jengelh@medozas.de
- Rename xorg-x11-libXprintUtil to libXprintUtil
  and utilize shlib policy
* Tue Dec 21 2010 sndirsch@novell.com
- bumped version number to 7.6
* Fri Apr  2 2010 sndirsch@suse.de
- bumped version number to 7.5
* Mon Dec 14 2009 jengelh@medozas.de
- add baselibs.conf as a source
* Sat May  2 2009 eich@suse.de
- revert static library and .la file removal
  for SUSE versions <= 11.1.
* Tue Apr 21 2009 crrodriguez@suse.de
- remove static libraries and "la" files
- run ldconfig in postun
* Thu Sep 11 2008 sndirsch@suse.de
- bumped release number to 7.4
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Sat Sep 29 2007 sndirsch@suse.de
- bumped version to 7.3
* Thu Oct 26 2006 sndirsch@suse.de
- set version to 7.2 in specfile
* Wed Aug  2 2006 sndirsch@suse.de
- fix setup line
* Fri Jul 28 2006 sndirsch@suse.de
- use "-fno-strict-aliasing"
* Thu Jul 27 2006 sndirsch@suse.de
- use $RPM_OPT_FLAGS
- remove existing /usr/include/X11 symlink in %%pre
* Sat Jun 24 2006 sndirsch@suse.de
- created package
